OpenCore Legacy Patcher 1.0 apporte macOS Sonoma à 83 Mac oubliés par Apple

Stéphane Moussie |

Moins d'une semaine seulement après l'arrivée de macOS Sonoma en version finale, OpenCore Legacy Patcher 1.0 étend considérablement la prise en charge du nouveau système. Si Apple demande au minimum un MacBook de 2018, un Mac mini de 2018 ou un iMac de 20191, le projet communautaire fait voler en éclat les barrières des générations.

Grâce à ce logiciel issu de la scène Hackintosh qui modifie en profondeur le système d'exploitation, il devient possible d'installer macOS Sonoma sur pas moins de 83 Mac boudés par Apple. La liste de compatibilité remonte jusqu'à des MacBook de 2008, des modèles lancés sous Mac OS X Leopard, rendez-vous compte.

L'utilisation d'OpenCore Legacy Patcher est devenue plus accessible dernièrement grâce à une interface graphique simplifiée et des explications bienvenues pour chaque option avancée. La lecture de la documentation (en anglais) reste néanmoins indispensable, tout comme la vérification de la compatibilité de son Mac.

À ce sujet, une incompatibilité importante est à relever pour les MacBook Pro 2016 et 2017. Apple ayant abandonné la gestion de la puce T1, les fonctionnalités liées à celles-ci — Touch ID, Apple Pay et le trousseau iCloud — sont inopérantes sous Sonoma. Les géniaux développeurs d'OpenCore Legacy Patcher s'emploient à trouver une solution, mais pour l'heure impossible de dire quand cette embuche sera surmontée. Attention aussi à des problèmes graphiques qui persistent avec de vieux GPU.

Une sauvegarde est également essentielle avant d'appliquer une mise à jour grâce à OpenCore Legacy Patcher, car des bugs spécifiques à certaines machines peuvent échapper à la vigilance des contributeurs. Vous pouvez échanger avec d'autres utilisateurs sur le serveur Discord du projet ou bien en français sur notre forum (ou dans les commentaires de cet article, bien entendu).

J’ai installé macOS Monterey sur mon MacBook Pro de 2014 abandonné par Apple

J’ai installé macOS Monterey sur mon MacBook Pro de 2014 abandonné par Apple


  1. Dans le détail, les Mac officiellement compatibles avec macOS Sonoma sont au minimum l'iMac 2019, l'iMac Pro 2017, le MacBook Air 2018, le MacBook Pro 2018, le Mac Pro 2019, le Mac Studio 2022 et le Mac mini 2018.  ↩︎

avatar MarcMame | 

@Nesus

"Parlons de faits alors. Les machines qui plantent sans arrêt en essayant de les mettre à jour via opencore legacy patcher ? Les Mac Pro. "

————
Oui, parlons de faits.
J’ai justement un Mac Pro sous open core et il ne plante pas.
Du tout.
Même avec Windows il ne plante pas.
Voilà.

avatar Nesus | 

@MarcMame

Au cas où vous ne vous seriez pas rendu compte. Nous ne parlons pas de votre Mac. La règle empirique, c’est drôle 5 minutes.

avatar MarcMame | 

@Nesus

"Au cas où vous ne vous seriez pas rendu compte. Nous ne parlons pas de votre Mac. La règle empirique, c’est drôle 5 minutes."

———-
Ah ! Pardon. On parle du votre alors ?
Parce que quand je lis « les Mac Pro », je pense naïvement que le mien est inclu dans « les ».

avatar hugome | 

@Nesus

J’ai pas d’avis sur le dernier patch, mais j’ai fait tourner tous les jours pendant 6 ans je crois un Mac Pro obsolète selon Apple, hacké par un mec tout seul sur le dernier OS. Jusqu’à El Capitan. Sans jamais planter. Et j’étais pas le seul.
Donc historiquement Apple a bien prouvé qu’ils étaient capables de tuer des gammes entières sans réelles raisons techniques.

avatar aurelien54 | 

OCLP avec un os récent, c’est compliqué si Mac particulièrement lent…. J’avais testé sur MacBook 12” et c’était utilisable, mais pas vraiment réactif! Mais cette machine est réputée sous motorisée niveau cpu.

avatar Darkgam3rz | 

Voilà, c'est fait :

MBA 2012 sous Sonoma, et c'est plus qu'utilisable, ça tourne très bien, par exemple un seul rebond pour ouvrir safari, et c'est hyper fluide.

Bon il ventile encore le système doit indexer des trucs.

Franchement content d'avoir acheter cette relique 150€ (avec batterie neuve)

avatar Faabb | 

@Darkgam3rz

J’ai fait pareil pour une amie en 2020.
MBP i5 bi cœur avec 4Go de ram et HDD 5400trm pour 150€ -> ssd et 16Go de ram + OCLP Monterey puis Ventura : il ne marche pas, il court !
🤓 (petite bureautique et web)

avatar Darkgam3rz | 

@Faabb

Je l’ai laissé tourner puis après un redémarrage, c’est simple c’est tout simplement PARFAIT !

J’hallucine !!

Vraiment pas top de virer des configurations qui tournent quand même super bien !!!

D’un autre côté ça prouve aussi que le système est bien optimisé de base pour tourner aussi rapidement sur un vieux truc avec seulement 4go!

Et safari ne fait même plus la roue colorée comme sous ventura !!!

avatar Mac1978 | 

@‭Stéphane Moussie
Avez-vous des informations sur les éventuels "breach" de sécurité qu'implique de passer par OCLP ? Il me semble avoir lu que l'installation de Ventura via OCLP sur des Mac non-prévus pour apportait de grosses failles de sécurité ?

avatar Faabb | 

@Mac1978

Il me semble qu’on baisse le niveau de sécurité pendant l’installation (désactivation du SIP et de FileVault) mais que cela se réactive après installation, de même pour FileVault.

avatar CAr4mBz | 

A la vue de tous vos commentaires super positifs et étant á la tête d’une armée de machine dites obsolètes (3x iMac 27 de 2009 á 2011; 3 MBP 2009-2010)… je viens de lancer le téléchargement, j’attaque 🤟

avatar Darkgam3rz | 

@CAr4mBz

👍🏻

Moi il me reste un iMac 2012 à faire mais comme il a un disque dur classique, je me lance à midi vu qu’il va mettre au moins 4 h 😅

Sinon tout mon parc de vieilleries est sous sonoma 😂

avatar Faabb | 

@CAr4mBz

Moi je trouve mieux d’avoir une machine à jour des correctifs de sécurité et alignée sur les dernières fonctions s d’iCloud/iOS.
J’ai même toujours trouvé que mes anciennes machines se portaient mieux sur les derniers macOS même si ce reste subjectif, je n’ai fait aucun test.

Et les maj en OTA sont un gros plus ! La seule chose pour les vieux mac avec Intel Hdxxx (3000/4000), c’est que les pilotes ont été retirés de macOS depuis ventura.
Donc à chaque de macOS en OTA (bref via les préférences système, très normalement), il faut reappliquer le patch graphique. Mais OCLP ne prévient et nous prend même par la main (patch non appliqué, cliquez ici pour reappliquer).

avatar CAr4mBz | 

@CAr4mBz

Je voulais attaquer cela maintenant… mais mon enthousiasme est suspendu au téléchargement des 12,9 Go… sans fibre. Ma connexion vDSL á 35 mégas est entièrement dediée mais 1h de download..; 🤤⌛️

avatar coink | 

@CAr4mBz

Attention sur les iMac 2009-2011 tu as des incompatibilité hardware qui nécessite des upgrades matériels pour que ce soit utilisable sans bugs (GPU et carte wireless principalement)

avatar arakylien | 

Je persiste à penser que de supprimer « artificiellement » le support de ses propres machines au fur et à mesure des nouvelles versions de macOS est de l’obsolescence programmée.
L’existence du projet et son efficacité à prendre en charge de « vieilles » machines prouvent que ce serait faisable du côté d’Apple.
Nuance : le support de l’API Métal pour l’interface est un problème avec les vieux circuits.

avatar Darkgam3rz | 

@arakylien

C’est ce que je pense aussi.

Il tourne mieux que sous Catalina c’est dingue !

avatar Spike2311 | 

Mise à jour faite à l’instant sur un Mac mini 2014.

avatar Chopper77 | 

Je peux avoir ton retour ?

J'ai un MacMini 2014, SSD + 8 go de Ram, sous Monterey (qui est bof bof), j'hésite...

avatar Spike2311 | 

@Chopper77

Mac mini avec SSD et 4 Go de ram. Tout fonctionne bien. Le Mac est aussi rapide et fluide que sur Ventura. Après 4Go c’est très peu… mon mini 2012 avec 16Go de ram et beaucoup plus rapide sur Sonoma.

avatar Chopper77 | 

Merci pour ton retour.

Dommage pour l'upgrade de la RAM du MacMini 2014.

avatar laurent41 | 

Bonjour à tous, pour la part j’ai un iMac 2015, mon souci bien dé que je clique sur open core, il me propose d’installer obligatoirement les extensions sur EFI puis reboot obligatoire. Au redémarrage du mac rien de particulier, je re clique sur open core et rebelote il me propose l’installation des extensions et ainsi de suite
Il y a t’il une chose que j’ai loupé, suis pas prêt d’installer le nouveau système. Merci pour votre aide
Laurdnt41

avatar Faabb | 

@laurent41

Ah c’est simple : il faut appuyer sur la touche option au démarrage puis maintenir la touche ctrl appuyée avant de cliquer sur macOS, afin que le boot depuis l’uefi d’oclp devienne la séquence par défaut (et non la clef usb qui vous a servi de test ?)

avatar laurent41 | 

Merci Faabb j’ai rajouter mon clavier en USB, et la touche option marche pour choisir la partition de démarrage. Au redémarrage il a fallu juste de nouveau renseigner mon id apple, je continue donc mon installation de Sonoma.

avatar Boboss29 | 

Intéressant d'après vous sur un mac mini I5 de 2011 ? J'ai 8go dessus et un ssd.

avatar Zorglub38 | 

J'avais installé ventura sur un MBP 15 2016 avec OCLP et ça fonctionnait très bien mais l'idée même d'installer un système patché et donc potentiellement moins sécurisé m'a refroidi. Du coup je l'ai repassé sous Monterey et je l'ai filé à mon fils. Il tourne toujours parfaitement mais la batterie est à remplacer. Mais comme le changement de batterie sur ce modèle implique le changement de clavier j'hésite car ce clavier papillon de 1ère génération je l'adore.

avatar Darkgam3rz | 

Mise à jour ok sur l’ensemble de mes configurations, le seul qui a mis le temps c’est un des iMac 2012 avec un disque dur d’origine… plus de 3 heures 😅

Mais une fois lancé il tourne bien 🤨

Je passe même d’un mac à un autre avec la même souris, tout fonctionne bien 👍🏻

avatar Fonzerelli | 

Jamais réussi à l’installer sur un iMac 2012 SSD externe USB 3. Je pense que c’est à cause du SSD externe justement.

avatar CAr4mBz | 

Installation réalisée sur iMac 27 mi-2010.
J’ai bien utilisé un hub USB, avec clavier et souris filaires pour l’installation.
J’avais mal compris que je perdais le Bluetooth, même une fois « Post-Install Root Patch » installé.
J’aurais probablement le même problème avec des iMac 27 de 2009 et 2011.
D’après ce que j’ai compris l’USB, 1.1 n’est plus supporté par le système depuis Ventura, le Bluetooth est en bas sur le connecteur USB 1.1 il est sacrifié.
J’ai donc commencé à regarder pour upgrader ma carte Bluetooth interne.
Visiblement la solution serait là.
Quelqu’un aurait-il de l’expérience sur le sujet ?

avatar maxou56 | 

@CAr4mBz
Ventura, Sonoma supportent toujours l'USB 1.1. Heureusement sinon on ne pourrait plus connecter certains périphériques USB (Clavier, souris...).
C'est la façon dont l'USB 1.1 était implémenté dans les anciens Mac qui pose des problèmes.

Par exemple un trackpad et un onduleur connecter sur un iMac avec Mac OS Ventura 13.6:
Magic Trackpad :
....
Vitesse : Jusqu’à 12 Mb/s
Fabricant : Apple Inc.

Ellipse PRO :
....
Vitesse : Jusqu’à 1,5 Mb/s
Fabricant : EATON

avatar coink | 

@CAr4mBz

Oui tu peux upgrader la carte wifi / bt par celles des iMac suivants.
Pour le GPU j’ai mis une mxm Polaris pour que ce soit natif métal ça fonctionne bien

avatar CAr4mBz | 

@coink

J’ai commandé une carte chez OSXwifi
Mais je suis surpris malgré tout.
Qu’il faille un upgrade bluetooth pour profiter de continuity / Handoff… ok
Mais je ne pensais pas que la carte bluetooth d’origine ne serait plus reconnue et donc plus de clavier/souris.
J’avais vu que pendant l’installation il fallait le faite en USB, mais je pensais qu’un patch post install corrigerait cela.
J’ai le problème avec 2 iMac 27 (2010 et 2011).
J’ai pas essayé avec le 2009 mais j’attends de fixer le problème avant d’attaquer.
Pour la partie graphique, Metal n’est pas supporté mais ç n’empêche pas l’utilisation bureautique.
Mais merci, je vais regarder pour un carte Polaris MXM, une référence spécifique et/ou un conseil pour l’acheter ?

avatar coink | 

@CAr4mBz

Pour le sujet USB je ne sais pas si le changement de carte wireless aide ou non. À mon avis c’est lié à la carte mère de l’iMac et c’est foutu

Pour le GPU le forum de référence est celui ci : https://forums.macrumors.com/threads/2011-imac-graphics-card-upgrade.1596614/
Bonne lecture… perso je suis parti sur une wx4100, mais ça demande de bien savoir bricoler dans l’iMac. Il faut carrément rajouter une pièce d’1mm de cuivre entre la puce et le dissipateur d’origine ! Puis flasher le vBios

avatar CAr4mBz | 

@coink

Merci 🙏

avatar Darkgam3rz | 

Si jamais ça peut aider ceux qui utilisent un mac avec un disque dur à plateau (le classique, vous savez celui qui est hyper lent), une fois installé et le patch post install ok, redémarrer et laissé tourner….

Redémarrage et laissez l’écran de connexion au profil sans rien toucher….

J’ai lancé l’installation un peu avant 13h, il est tout juste utilisable maintenant 🤯

Mais ça y est il est fluide et rapide !!!

La partie inactive du cou est à 96%, l’activité disque est normale mais le lancement est laborieux… sûrement l’indexation de Sonoma qui mets le disque dur en pls

avatar coink | 

@Darkgam3rz

A 50€ le 1to de ssd c’est plus justifié de rester sur du hdd

avatar Darkgam3rz | 

@coink

Sur un iMac…pas envie de l’ouvrir….et pas envie d’avoir un support externe

avatar coink | 

@Darkgam3rz

Ooh il suffit d’une ventouse sur les 2009-2011 c’est très facile ;)

avatar Darkgam3rz | 

@coink

Pas sur le 2012 😫

avatar coink | 

@Darkgam3rz

Ah oui c’est ceux tout collés :(

avatar nespresso92 | 

Quid d'un MBP de 2016 avec Touch Bar?
Le Touch ID est il vraiment inopérant ?

avatar Darkgam3rz | 

Une mise à jour en 1.0.1 est dispo pour OCLP.

Je viens de patcher l'imac 2012, il y a du mieux niveau réactivité mais il reste de choses à revoir comme :

Image des dossier présentant des artefacts

Sinon, le système est plus réactif, enfin....comment dire.... Le système est clairement pensé pour un SSD vu comme l'imac galère au démarrage et pendant environ 5 bonnes minutes à répondre rapidement, une fois cette étape passée ça tourne correctement.

Bien regarder également si pendant le Post patch le gpu correspond, sur l'iMac OCLP indiquait Intel 4000 alors que ma relique a un gpu Nvidia. Ne pas hésiter à le refaire....

Bref, la sortie de veille ne pose maintenant plus de problème.

MBA et MBP au top par contre.

avatar mkiv | 

Mac mini Late 2012 avec Core i5 / SSD / 16Go
Mise a jour effectuée, expérience similaire à Ventura, aucune baisse de performance observée pour l'instant.

avatar nykk | 

MBP 17 pouces, mi 2009, patché depuis longtemps, d'abord sous Catalina, puis avec OCLP, BigSur et Monterey, et il tourne très bien comme machine secondaire (SSD et 8 Go de RAM). J'hésite à le passer sous Ventura (j'ai acheté un hub USB pour contourner la non-reconnaissance des ports USB1 au redémarrage sous OCLP).

avatar Axo | 

Aucun problème sur mon Mac Pro 2013.

avatar comeraz | 

Est-ce qu’il existe aussi une telle possibilité pour iOS 17? J’aimerai mettre à jour un iPad Pro officiellement incompatible.

avatar Borniggaz | 

Bonjour à tous

J'ai passé mon iMac fin 2015 retina 27 pouce sous sonoma avec succès ce week end :)
Install from scratch.

Ceci étant dit je me suis aperçu d'un petit pb sur les SMS
Je ne peux ni envoyer ni recevoir de SMS standard à partir de l'iMac.
Seul iMessage est fonctionnel
tout semble être configuré normalement.
Est ce que quelqu'un a constaté cela? est ce normal?

Merci d'avance

avatar Bernard Delgado | 

Bonjour,
est-il possible de poursuivre les mises à jour de Sonoma quand il a été installé sur une machine non-compatible avec Open Core Legacy ?

avatar StephanM3 | 

Bonjour,
Comment obtenir l’installateur , Mac Somona, puisque je ne peux plus le télécharger à partir de l’Apple Store Mac incompatible ?

avatar MOKHTAR SRAIDY DOUKKALI | 

AVANT TOUT JE TIENS À REMERCIER L ÉQUIPE DE CE MAGNIFIQUE SITE macg.
JE REMERCIE AUSSI L EXCELLENT TRAVAIL INGÉNIEUX DE L ÉQUIPE OPEN CORE LEGACY PATCHER QUI NOUS ONT DONNE LA CHANCE DE FAIRE REVIVRE NOS ANCIENS MacBook ET iMac.
AFIN DE MÈTRE SUR CELLE PRESQUE TOUS LES MODÈLE. MERCI ENCORE.
J'AI PU MONTER SONOMA SUR MON MacBook PRO 17 POUCES INTEL ET CA MARCHE SAUF QUE J'AI ENCORE UN PROBLÈME DE WIFI, J'AI INSTALLÉ UNE CARTE WIFI EXTERNE POUR ME CONNECTER. IL Y A AUSSI LE PROBLÈME DE L APPLICATION NATIVE APPLE PHOTO QUI NE FONCTIONNE PAS COMME IL FAUT. MERCI

Pages

CONNEXION UTILISATEUR